## gwenview 21.08.1

=== debian/changelog ===
gwenview (4:21.08.1-0ubuntu2) impish; urgency=medium

  * Add upstream bugfix patch:
    - d/p/upstream_fix-switching-zoom-mode-via-keboard-shortcuts.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Sep 2021 14:59:38 +0100

gwenview (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:17 +0100

gwenview (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:23 +0100

gwenview (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:50:53 +0100
