=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
                libkf5itemmodels-dev (>= 5.68.0~),
-               libkf5kdcraw-dev (>= 21.07.80~),
+               libkf5kdcraw-dev (>= 21.08.1~),
                libkf5kio-dev (>= 5.68.0~),
-               libkf5kipi-dev (>= 4:21.07.80~),
+               libkf5kipi-dev (>= 4:21.08.1~),
                libkf5notifications-dev (>= 5.68.0~),
                libkf5parts-dev (>= 5.68.0~),
                libkf5purpose-dev (>= 5.68.0~),
