=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sune Vuorela <sune@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: baloo-kf5-dev (>= 5.13),
-               cmake (>= 3.0~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
@@ -16,12 +16,13 @@
                libjpeg-dev,
                libkf5activities-dev (>= 5.68.0~),
                libkf5doctools-dev (>= 5.68.0~),
+               libkf5guiaddons-dev (>= 5.68.0~),
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
                libkf5itemmodels-dev (>= 5.68.0~),
-               libkf5kdcraw-dev (>= 21.08.1~),
+               libkf5kdcraw-dev (>= 21.11.90~),
                libkf5kio-dev (>= 5.68.0~),
-               libkf5kipi-dev (>= 4:21.08.1~),
+               libkf5kipi-dev (>= 4:21.11.90~),
                libkf5notifications-dev (>= 5.68.0~),
                libkf5parts-dev (>= 5.68.0~),
                libkf5purpose-dev (>= 5.68.0~),
@@ -32,17 +33,17 @@
                libphonon4qt5experimental-dev (>= 4.9.1),
                libpng-dev,
                libqt5opengl5-dev (>= 5.11.0~),
-               libqt5svg5-dev (>= 5.12.0~),
-               libqt5x11extras5-dev (>= 5.12.0~),
+               libqt5svg5-dev (>= 5.14.0~),
+               libqt5x11extras5-dev (>= 5.14.0~),
                libtiff-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.14.0~),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
 
 Package: gwenview
 Section: graphics
