=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -20,9 +21,9 @@
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
                libkf5itemmodels-dev (>= 5.68.0~),
-               libkf5kdcraw-dev (>= 21.11.90~),
+               libkf5kdcraw-dev (>= 21.12.3~),
                libkf5kio-dev (>= 5.68.0~),
-               libkf5kipi-dev (>= 4:21.11.90~),
+               libkf5kipi-dev (>= 4:21.12.3~),
                libkf5notifications-dev (>= 5.68.0~),
                libkf5parts-dev (>= 5.68.0~),
                libkf5purpose-dev (>= 5.68.0~),
