=== debian/control ===
--- 
+++ 
@@ -21,14 +21,15 @@
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
                libkf5itemmodels-dev (>= 5.68.0~),
-               libkf5kdcraw-dev (>= 21.12.3~),
+               libkf5kdcraw-dev (>= 22.08.1~),
                libkf5kio-dev (>= 5.68.0~),
-               libkf5kipi-dev (>= 4:21.12.3~),
+               libkf5kipi-dev (>= 4:22.08.1~),
                libkf5notifications-dev (>= 5.68.0~),
                libkf5parts-dev (>= 5.68.0~),
                libkf5purpose-dev (>= 5.68.0~),
                libkf5widgetsaddons-dev (>= 5.68.0~),
                libkf5windowsystem-dev (>= 5.68.0~),
+               libkimageannotator-dev,
                liblcms2-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev (>= 4.9.1),
