## gwenview 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -10,8 +10,10 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )
 
-set (QT_MIN_VERSION "5.14.0")
-set (KF5_MIN_VERSION "5.79.0")
+set (QT_MIN_VERSION "5.15.2")
+set (KF5_MIN_VERSION "5.90.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -51,11 +53,16 @@
     set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO ON)
 endif()
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg PrintSupport)
-find_package(Qt5DBus ${QT_MIN_VERSION} CONFIG QUIET)
-set(HAVE_QTDBUS ${Qt5DBus_FOUND})
-
-find_package(Phonon4Qt5 4.6.60 NO_MODULE REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg PrintSupport)
+find_package(Qt${QT_MAJOR_VERSION}DBus ${QT_MIN_VERSION} CONFIG QUIET)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Qt6SvgWidgets)
+    find_package(Qt6OpenGLWidgets)
+endif()
+
+set(HAVE_QTDBUS ${Qt${QT_MAJOR_VERSION}DBus_FOUND})
+
+find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 NO_MODULE REQUIRED)
 include_directories(BEFORE SYSTEM ${PHONON_INCLUDES})
 add_definitions(-DPHONON_LIB_SONAME=\"${PHONON_LIB_SONAME}\")
 
@@ -79,11 +86,6 @@
 
 add_definitions(-DQT_NO_FOREACH)
 
-message(STATUS ${KF5KIO_VERSION})
-if (KF5KIO_VERSION VERSION_GREATER_EQUAL "5.82.0")
-    add_definitions(-DKIO_REQUEST_MIMETYPE)
-endif()
-
 ## Dependencies
 find_package(JPEG)
 set_package_properties(JPEG PROPERTIES URL "http://libjpeg.sourceforge.net/" DESCRIPTION "JPEG image manipulation support" TYPE REQUIRED)
@@ -109,12 +111,6 @@
 if (TIFF_FOUND)
     set(HAVE_TIFF true)
 endif()
-
-find_package(KF5Kipi)
-if (KF5Kipi_FOUND)
-   set(KIPI_FOUND true)
-endif()
-set_package_properties(KF5Kipi PROPERTIES URL "https://phabricator.kde.org/source/kipi-plugins/" DESCRIPTION "Provides various image manipulation and export features" TYPE OPTIONAL)
 
 find_package(LCMS2)
 set_package_properties(LCMS2 PROPERTIES URL "http://www.littlecms.com" DESCRIPTION "Color management engine" TYPE REQUIRED)
@@ -133,13 +129,31 @@
 if (KF5KDcraw_FOUND)
    add_definitions(-DKDCRAW_FOUND)
 endif()
-set_package_properties(KF5KDcraw PROPERTIES URL "https://phabricator.kde.org/source/libkdcraw/" DESCRIPTION "C++ interface around LibRaw library used to decode RAW picture files" TYPE OPTIONAL)
-
-
-find_package(X11)
-if(X11_FOUND)
-   find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
-   set(HAVE_X11 1)
+set_package_properties(KF5KDcraw PROPERTIES URL "https://invent.kde.org/graphics/libkdcraw/" DESCRIPTION "C++ interface around LibRaw library used to decode RAW picture files" TYPE OPTIONAL)
+
+
+option(WITHOUT_X11 "Build without X11 integration (disables finding X11)" OFF)
+if(NOT WITHOUT_X11)
+    find_package(X11)
+    if(X11_FOUND)
+        if (QT_MAJOR_VERSION STREQUAL "5")
+            find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
+        endif()
+        # we need to add qt6 lib when we found x11
+        set(HAVE_X11 TRUE)
+    endif()
+endif()
+
+if (QT_MAJOR_VERSION STREQUAL "5")
+    find_package(kImageAnnotator)
+    set_package_properties(kImageAnnotator PROPERTIES URL "https://github.com/ksnip/kImageAnnotator" DESCRIPTION "The kImageAnnotator library provides tools to annotate" TYPE REQUIRED)
+    if(kImageAnnotator_FOUND)
+        set(KIMAGEANNOTATOR_FOUND 1)
+        find_package(kColorPicker REQUIRED)
+        if(NOT kImageAnnotator_VERSION VERSION_LESS 0.5.0)
+            set(KIMAGEANNOTATOR_CAN_LOAD_TRANSLATIONS 1)
+        endif()
+    endif()
 endif()
 
 configure_file(config-gwenview.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gwenview.h)
@@ -158,7 +172,9 @@
 set(IMAGE_MIME_TYPES_LIST
     image/avif
     image/gif
+    image/heif
     image/jpeg
+    image/jxl
     image/png
     image/bmp
     image/x-eps
@@ -174,6 +190,7 @@
     image/x-webp
     image/webp
     image/x-tga
+    image/x-xcf
     application/x-krita
 )
 if (KF5KDcraw_FOUND)
@@ -214,18 +231,17 @@
 add_subdirectory(kconf_update)
 ecm_qt_install_logging_categories(EXPORT GWENVIEW FILE gwenview.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
+ki18n_install(po)
+if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+endif()
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-if (ECM_VERSION VERSION_GREATER_EQUAL 5.80.0)
-    include(KDEClangFormat)
-    # add clang-format target
-    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-
-    include(KDEGitCommitHooks)
-    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-endif ()
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()
+include(KDEClangFormat)
+# add clang-format target
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+include(KDEGitCommitHooks)
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
