=== debian/changelog ===
gwenview (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:10 +0100

gwenview (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - shows again RAW files when built with kdcraw (Closes: #1027937)
  * Remove inactive Uploaders.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop patch fix-incorrect-path-for-interpreter, as now dh_perl fixes the
    perl interpreter.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 08:01:37 +0100

gwenview (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:58:59 +0100

gwenview (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:20 +0100

gwenview (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 May 2022 23:16:39 +0200

gwenview (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc, as it should work fine now.
  * Use secure URI in Homepage field.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:48:39 +0100

gwenview (4:21.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (21.12.2).
  * Update B-Ds and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Feb 2022 02:58:09 +0100
