=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true -DBUILD_TESTING=OFF
