## gwenview 23.08.0

=== debian/changelog ===
gwenview (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:21 +0100

gwenview (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:24 +0100

gwenview (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:35 +0100

gwenview (4:23.04.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Bump Gear build deps to 23.04.2

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jun 2023 12:27:20 +0100

gwenview (4:23.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libqt5waylandclient5-dev, libwayland-dev, qtbase5-private-dev,
      qtwayland5-dev-tools, and wayland-protocols
    - drop libkf5kipi-dev, no more needed
    - explicitly add libx11-dev
  * Pass -DGWENVIEW_NO_WAYLAND_GESTURES=ON to cmake on non-Linux architectures,
    as the Wayland bits are enabled by default.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2023 07:58:19 +0200

gwenview (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update Build-Depends:
    - add libqt5waylandclient5-dev
    - add libwayland-dev
    - add plasma-wayland-protocols
    - add qtbase5-private-dev
    - add qtwayland5-dev-tools
    - add wayland-protocols
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:58 +0100

gwenview (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:31 +0000

gwenview (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:11:05 -0600

gwenview (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:38 +0000

gwenview (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Bump Gear build deps to 22.12,

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 09:25:13 +0000

gwenview (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:05:24 +0000

gwenview (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:49 +0000

gwenview (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 08:48:04 +0000

gwenview (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:28 +0000
