=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: baloo-kf5-dev (>= 5.13),
                cmake (>= 3.16~),
@@ -20,9 +21,8 @@
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.90.0~),
                libkf5itemmodels-dev (>= 5.90.0~),
-               libkf5kdcraw-dev,
+               libkf5kdcraw-dev (>= 23.08.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5kipi-dev,
                libkf5notifications-dev (>= 5.90.0~),
                libkf5parts-dev (>= 5.90.0~),
                libkf5purpose-dev (>= 5.90.0~),
@@ -35,15 +35,21 @@
                libpng-dev,
                libqt5opengl5-dev (>= 5.14.0~),
                libqt5svg5-dev (>= 5.15.2~),
+               libqt5waylandclient5-dev (>= 5.15.2~) [linux-any],
                libqt5x11extras5-dev (>= 5.15.2~),
                libtiff-dev,
+               libwayland-dev (>= 1.9~) [linux-any],
+               libx11-dev,
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
+               qtbase5-private-dev (>= 5.15.2~),
+               qtwayland5-dev-tools (>= 5.15.2~) [linux-any],
+               wayland-protocols [linux-any],
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
 
 Package: gwenview
 Section: graphics
