=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5i18n-dev (>= 5.90.0~),
                libkf5iconthemes-dev (>= 5.90.0~),
                libkf5itemmodels-dev (>= 5.90.0~),
-               libkf5kdcraw-dev (>= 23.08.0~),
+               libkf5kdcraw-dev (>= 23.08.1~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5notifications-dev (>= 5.90.0~),
                libkf5parts-dev (>= 5.90.0~),
